Name:           hypershell
Version:        2.6.0
Release:        1%{?dist}
Summary:        Computing utility for processing shell commands over a distributed, asynchronous queue

License:        Apache-2.0
URL:            https://hypershell.org
Source:         https://github.com/glentner/hypershell/archive/v%{version}/hypershell-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

# no tests for now, see comments below
# for tests
#BuildRequires:  python3-pytest
#BuildRequires:  python3-yaml
#BuildRequires:  sqlite

%global _description %{expand:
Elegant, cross-platform, high-throughput computing utility
for processing shell commands over a distributed, asynchronous queue.
Highly scalable workflow automation tool for many-task scenarios.
}

%description %_description


%prep
%autosetup


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files hypershell


# false positive failure.  upstream is working on it
#%%check
#%%pytest


%files -f %{pyproject_files}
%doc README.*
%{_bindir}/hs
%{_bindir}/hyper-shell


%changelog
* Thu Nov 21 2024 Jonathan Wright <jonathan@almalinux.org> - 2.6.0
- initial package build
